return {
	"nvim-treesitter/nvim-treesitter",
	event = { "BufReadPre", "BufNewFile" },
	build = ":TSUpdate",
	dependencies = {
		"windwp/nvim-ts-autotag",
	},
	config = function()
		require("nvim-treesitter.configs").setup({
			sync_install = false,
			highlight = {
				enable = true,
			},
			indent = {
				enable = true,
			},
			autotag = {
				enable = true,
			},
			ensure_installed = {
				"bash",
				"caddy",
				"gitignore",
				"git_config",
				"git_rebase",
				"markdown",
				"markdown_inline",
				"yaml",
				"lua",
				"ini",
				"passwd",
				"vim",
				"vimdoc",
			},
			incremental_selection = {
				enable = true,
			},
		})
	end,
}
